@REM BEGIN COPYRIGHT
@REM *************************************************************************
@REM
@REM  Licensed Materials - Property of IBM
@REM  5725-C94, 5725-C95, 5725-C96
@REM  (C) Copyright IBM Corporation 2010, 2016. All Rights Reserved.
@REM  US Government Users Restricted Rights- Use, duplication or disclosure
@REM  restricted by GSA ADP Schedule Contract with IBM Corp.
@REM
@REM *************************************************************************
@REM END COPYRIGHT
@echo off

setlocal enabledelayedexpansion

SET CUR_DIR=%cd%

%~d0
cd %~p0

FOR /F "tokens=3" %%i IN ('REG QUERY "HKCU\Control Panel\International" /v iDate') DO SET dateFormat=%%i
FOR /F "tokens=3" %%s IN ('REG QUERY "HKCU\Control Panel\International" /v sDate') DO SET dateSeperator=%%s
FOR /F "tokens=3" %%s IN ('REG QUERY "HKCU\Control Panel\International" /v sTime') DO SET timeSeperator=%%s
FOR /F "tokens=1-3 delims=%dateSeperator%" %%A IN ("%date%") DO (
    IF "%dateFormat%"=="0" SET DAY=%%B&SET MONTH=%%A&SET YEAR=%%C
    IF "%dateFormat%"=="1" SET DAY=%%A&SET MONTH=%%B&SET YEAR=%%C
    IF "%dateFormat%"=="2" SET DAY=%%C&SET MONTH=%%B&SET YEAR=%%A
)
FOR /F "tokens=1-3 delims=%timeSeperator%" %%A IN ("%time%") DO SET HOUR=%%A&SET MINUTE=%%B&SET SECOND=%%C
if not "%YEAR%"=="%YEAR: =%" (
    FOR /F "tokens=1-2 delims= " %%A IN ("%YEAR%") DO SET YEAR=%%B
)
if not "%MONTH%"=="%MONTH: =%" (
    FOR /F "tokens=1-2 delims= " %%A IN ("%MONTH%") DO SET MONTH=%%B
)
if not "%DAY%"=="%DAY: =%" (
    FOR /F "tokens=1-2 delims= " %%A IN ("%DAY%") DO SET DAY=%%B
)
SET HOUR=%HOUR: =%
SET MINUTE=%MINUTE: =%
SET SECOND=%SECOND: =%
SET SECOND=%SECOND:.=%
SET SECOND=%SECOND:,=%
SET SECOND=%SECOND:'=%
SET PRE_LOG_FILE_NAME="result_%YEAR%%MONTH%%DAY%%HOUR%%MINUTE%%SECOND%.log"
SET LOG_FILE_NAME=result.log
if exist %LOG_FILE_NAME% ren %LOG_FILE_NAME% %PRE_LOG_FILE_NAME%

set DB_NAME=%1
set DB_USER=%2
set DB_PASSWORD=%3

REM --  CONNECT TO THE EXISTING DATABASE FOR COMMONDB UPDATES

@db2 connect to %DB_NAME% USER %DB_USER% USING '%DB_PASSWORD%'

set RC=%ERRORLEVEL%
if not %RC%==0 (
    echo Error in connecting to the database.
    goto PRINT_USAGE
)

@db2 set current schema=@SCHEMA@

if exist upgradeSchema_SchemaStatus.done (
    ren upgradeSchema_SchemaStatus.done upgradeSchema_SchemaStatus.sql
)

REM -- execute create schema_status sql
@db2 -s -t -v -zresult.log -f upgradeSchema_SchemaStatus.sql
set RC=%ERRORLEVEL%
if not %RC%==0 (
   echo The upgradeSchema script has failed. Please check the result.log file."
   goto END
)

ren upgradeSchema_SchemaStatus.sql upgradeSchema_SchemaStatus.done

if exist BPM_855.log (
   del BPM_855.log
)

dir /B | findstr "upgradeSchema*.*sql" > BPM_855.log

ren upgradeSchema_SchemaStatus.done upgradeSchema_SchemaStatus.sql

for /F "tokens=1* delims=" %%v in ( BPM_855.log ) do (
       @db2 -s -t -v -zresult.log -f ".\%%v"

REM    defect 142347 start
       set /a RC=!ERRORLEVEL!
           if not !RC!==0 (
                        if !RC! GEQ 1 if !RC! LEQ 3 echo The execution of upgradeSchema scripts is completed with warning. Please check the result.log file .
                    if !RC! GEQ 4 (
                                echo The execution of upgradeSchema scripts is failed. Please check the result.log file.
                                goto END
           )
       )
REM    defect 142347 end
)

echo The upgradeSchema script completed successfully.
goto END

:PRINT_USAGE

REM Print usage messages


echo ===================================================================================================
echo Check DB2 setup or enter correct dbUsername or dbPassword or dbName
echo ===================================================================================================
echo Usage: upgradeSchema.bat ^<dbUsername^> ^<dbPassword^>
echo Parameters:
echo dbUsername            -  DB2 username, for example wsadmin
echo dbPassword            -  Password for DB2 username
echo Examples:
echo         1. upgradeSchema.bat -help
echo         2. upgradeSchema.bat [interactive mode]
echo         3. upgradeSchema.bat db2admin db2admin
echo ==================================================================================================

goto END

:END

if exist BPM_855.log (
   del BPM_855.log
)

cd /d "%CUR_DIR%"
endlocal
