<?xml version="1.0" encoding="UTF-8"?>
<!--
//BEGIN COPYRIGHT
//*************************************************************************
//
// Licensed Materials - Property of IBM
// 5725-C94, 5725-C95, 5725-C96
// (C) Copyright IBM Corporation 2013. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns="http://ibm.com/bpm/config/healthCheck/schema" version="2.0">  
  <xsl:template name="formTitle"> 
    <xsl:param name="titleText"/>  
    <xsl:element name="TITLE"> 
      <xsl:value-of select="$titleText"/> 
    </xsl:element> 
  </xsl:template>  
  <xsl:template name="includeStyleSheet"> 
    <xsl:param name="styleSheet"/>  
    <xsl:element name="LINK"> 
      <xsl:attribute name="REL"> 
        <xsl:text>stylesheet</xsl:text> 
      </xsl:attribute>  
      <xsl:attribute name="HREF"> 
        <xsl:value-of select="$styleSheet"/> 
      </xsl:attribute>  
      <xsl:attribute name="TYPE"> 
        <xsl:text>text/css</xsl:text> 
      </xsl:attribute> 
    </xsl:element> 
  </xsl:template>  
  <xsl:template name="getPIIValue"> 
    <xsl:param name="piiKey"/>  
    <xsl:for-each select="/ns:BPMConfiguration/ns:resouceBundle/ns:PIIMessage[@key=$piiKey]"> 
      <xsl:value-of select="@value"/> 
    </xsl:for-each> 
  </xsl:template> 
</xsl:stylesheet>
