<?xml version="1.0" encoding="utf-8"?>

<!--
//BEGIN COPYRIGHT
//*************************************************************************
//
// Licensed Materials - Property of IBM
// 5725-C94, 5725-C95, 5725-C96
// (C) Copyright IBM Corporation 2013, 2014. All Rights Reserved.
// US Government Users Restricted Rights- Use, duplication or disclosure
// restricted by GSA ADP Schedule Contract with IBM Corp.
//
//*************************************************************************
//END COPYRIGHT
-->
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns="http://ibm.com/bpm/config/healthCheck/schema" version="2.0">  
  <xsl:import href="common.xsl"/>  
  <xsl:output method="html" encoding="utf-8"/>  
  <xsl:template match="/"> 
    <xsl:element name="HTML"> 
      <xsl:call-template name="head"/>  
      <xsl:call-template name="body"/> 
    </xsl:element> 
  </xsl:template>  
  <xsl:template name="head"> 
      <xsl:variable name="piiReportNameMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_REPORT_NAME</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable> 
    <xsl:element name="HEAD"> 
      <xsl:element name="TITLE"> <xsl:value-of select="$piiReportNameMessage" /></xsl:element>     
      <xsl:call-template name="styleSheet"/>  
      <xsl:call-template name="innerScript"/> 
    </xsl:element> 
  </xsl:template>  
  <xsl:template name="styleSheet"> 
    <xsl:call-template name="includeStyleSheet"> 
      <xsl:with-param name="styleSheet"> 
        <xsl:text>css/style.css</xsl:text> 
      </xsl:with-param> 
    </xsl:call-template>  
    <xsl:call-template name="includeStyleSheet"> 
      <xsl:with-param name="styleSheet"> 
        <xsl:text>css/table.css</xsl:text> 
      </xsl:with-param> 
    </xsl:call-template> 
  </xsl:template>  
  <xsl:template name="innerScript"> 
    <xsl:element name="SCRIPT"> 
      <xsl:attribute name="type"> 
        <xsl:text>text/javascript</xsl:text> 
      </xsl:attribute>  
      <xsl:text disable-output-escaping="yes">function showDetailInfo(name) { var displayTr = document.getElementById(name); if (displayTr.style.display == "none") { displayTr.style.display = "table-row"; } else { displayTr.style.display = "none"; } }</xsl:text> 
    </xsl:element> 
  </xsl:template>  
  <xsl:template name="body"> 
    <xsl:variable name="piiProblemDescription"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_PROBLEM_DESCRIPTION</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiExplanation"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_EXPLANATION</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiUserAction"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_USERACTION</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiErrorMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_ERROR</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiWarningMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_WARNING</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiSuccessMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_SUCCESS</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiFailureMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_FAILURE</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiStartedMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_STARTED</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiStoppedMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_STOPPED</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiStartingMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_STARTING</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiStoppingMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_STOPPING</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiUnknownMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_STATUS_UNKNOWN</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiDataSourceNameMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_DATASOURCE_NAME</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:variable name="piiJNDINameMessage"> 
      <xsl:call-template name="getPIIValue"> 
        <xsl:with-param name="piiKey"> 
          <xsl:text>VALIDATE_BPMCONFIG_JNDI_NAME</xsl:text> 
        </xsl:with-param> 
      </xsl:call-template> 
    </xsl:variable>  
    <xsl:element name="BODY"> 
      <div class="centerTitle">
        <xsl:call-template name="getPIIValue"> 
          <xsl:with-param name="piiKey"> 
            <xsl:text>VALIDATE_BPMCONFIG_REPORT_NAME</xsl:text> 
          </xsl:with-param> 
        </xsl:call-template>
      </div>  
      <xsl:choose> 
        <xsl:when test="count(ns:BPMConfiguration/ns:problem) &gt; '0'"> 
          <xsl:for-each select="ns:BPMConfiguration/ns:problem"> 
            <div class="divDescription"> 
              <xsl:choose> 
                <xsl:when test="@type = 'error'"> 
                  <img alt="{$piiErrorMessage}" title="{$piiErrorMessage}" align="baseline" height="16" width="16" src="css/images/error.gif"/> 
                </xsl:when>  
                <xsl:when test="@type = 'warning'"> 
                  <img alt="{$piiWarningMessage}" title="{$piiWarningMessage}" align="baseline" height="16" width="16" src="css/images/warning.gif"/> 
                </xsl:when> 
              </xsl:choose>  
              <span class="boldText"><xsl:copy-of select="$piiProblemDescription" /></span>  
              <span class="validation-error"> 
                <xsl:value-of select="ns:description/text()"/> 
              </span> 
            </div>  
            <div class="divDescription"> 
              <span class="boldText"> 
                <xsl:copy-of select="$piiExplanation"/> 
              </span>  
              <span class="validation-error"> 
                <xsl:value-of select="ns:explanation/text()"/> 
              </span> 
            </div>  
            <div class="divDescription"> 
              <span class="boldText">
                <xsl:copy-of select="$piiUserAction"/>
              </span>  
              <span class="validation-error"> 
                <xsl:value-of select="ns:userAction/text()"/> 
              </span> 
            </div> 
          </xsl:for-each> 
        </xsl:when> 
      </xsl:choose>  
      <xsl:choose> 
        <xsl:when test="count(ns:BPMConfiguration/ns:database) &gt; '0'"> 
          <div class="title-bread-crumb"> 
            <xsl:call-template name="getPIIValue"> 
              <xsl:with-param name="piiKey"> 
                <xsl:text>VALIDATE_BPMCONFIG_CELLDB</xsl:text> 
              </xsl:with-param> 
            </xsl:call-template> 
          </div>  
          <table class="reportTable"> 
            <tr> 
              <th class="column-head-name"> 
                <xsl:copy-of select="$piiDataSourceNameMessage"/> 
              </th>  
              <th class="column-head-name"> 
                <xsl:copy-of select="$piiJNDINameMessage"/> 
              </th>  
              <th class="column-head-name"> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_DB_NAME</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </th>  
              <th class="column-head-name"> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_DB_SCHEMA</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </th>  
              <th class="column-head-name"> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_DB_CREATED</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </th>  
              <th class="column-head-name"> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_DB_CONNECTED</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </th> 
            </tr>  
            <xsl:for-each select="ns:BPMConfiguration/ns:database"> 
              <xsl:variable name="className" select="@dataSourceName"/>  
              <tr> 
                <td> 
                  <span> 
                    <xsl:value-of select="@dataSourceName"/> 
                  </span> 
                </td>  
                <td> 
                  <span> 
                    <xsl:value-of select="@jndiName"/> 
                  </span> 
                </td>  
                <td> 
                  <span> 
                    <xsl:value-of select="@name"/> 
                  </span> 
                </td>  
                <td> 
                  <span> 
                    <xsl:value-of select="@schema"/> 
                  </span> 
                </td>  
                <xsl:choose> 
                  <xsl:when test="@created = 'true'"> 
                    <td> 
                      <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                    </td> 
                  </xsl:when>  
                  <xsl:when test="@created = 'false'"> 
                    <td> 
                      <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                        <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/>
                      </a> 
                    </td> 
                  </xsl:when> 
                </xsl:choose>  
                <xsl:choose> 
                  <xsl:when test="@connected = 'true'"> 
                    <td> 
                      <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                    </td> 
                  </xsl:when>  
                  <xsl:when test="@connected = 'false'"> 
                    <td> 
                      <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                        <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                      </a> 
                    </td> 
                  </xsl:when> 
                </xsl:choose> 
              </tr>  
              <xsl:choose> 
                <xsl:when test="@connected = 'false' or @created = 'false'"> 
                  <tr style="display:none" id="{$className}" class="explanationTr"> 
                    <td colspan="6"> 
                      <div class="explanationDiv"> 
                        <img alt="{$piiErrorMessage}" align="baseline" height="16" width="16" src="css/images/error.gif" title="{$piiErrorMessage}"/>  
                        <span class="boldText"> 
                          <xsl:copy-of select="$piiExplanation"/> 
                        </span>  
                        <span class="validation-error"> 
                          <xsl:value-of select="ns:problem/ns:explanation/text()"/> 
                        </span> 
                      </div>  
                      <div class="userActionDiv"> 
                        <span class="boldText"> 
                          <xsl:copy-of select="$piiUserAction"/> 
                        </span>  
                        <span class="validation-error"> 
                          <xsl:value-of select="ns:problem/ns:userAction/text()"/> 
                        </span> 
                      </div> 
                    </td> 
                  </tr> 
                </xsl:when> 
              </xsl:choose> 
            </xsl:for-each> 
          </table> 
        </xsl:when> 
      </xsl:choose>  
      <xsl:choose> 
        <xsl:when test="count(ns:BPMConfiguration/ns:security) &gt; '0'"> 
          <div class="title-bread-crumb"> 
            <xsl:call-template name="getPIIValue"> 
              <xsl:with-param name="piiKey"> 
                <xsl:text>VALIDATE_BPMCONFIG_CELLSECURITY</xsl:text> 
              </xsl:with-param> 
            </xsl:call-template> 
          </div>  
          <table class="reportTable"> 
            <tr> 
              <th class="column-head-name"> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_ALIAS_NAME</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </th>  
              <th class="column-head-name"> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_CREATED</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </th> 
            </tr>  
            <xsl:for-each select="ns:BPMConfiguration/ns:security/ns:authenticationAlias"> 
              <tr> 
                <td> 
                  <span> 
                    <xsl:value-of select="@aliasName"/> 
                  </span> 
                </td>  
                <xsl:choose> 
                  <xsl:when test="@created = 'true'"> 
                    <td> 
                      <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                    </td> 
                  </xsl:when>  
                  <xsl:when test="@created = 'false'"> 
                    <td> 
                      <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                    </td> 
                  </xsl:when> 
                </xsl:choose> 
              </tr> 
            </xsl:for-each> 
          </table> 
        </xsl:when> 
      </xsl:choose>  
      <xsl:for-each select="ns:BPMConfiguration/ns:deploymentEnvironments"> 
        <div class="title-bread-crumb"> 
          <xsl:call-template name="getPIIValue"> 
            <xsl:with-param name="piiKey"> 
              <xsl:text>VALIDATE_BPMCONFIG_DEPLOYMENT_ENV</xsl:text> 
            </xsl:with-param> 
          </xsl:call-template>  
          <xsl:value-of select="@name"/> 
        </div>  
        <xsl:for-each select="ns:deploymentTargets"> 
          <fieldset> 
            <legend class="title-bread-crumb"> 
              <xsl:call-template name="getPIIValue"> 
                <xsl:with-param name="piiKey"> 
                  <xsl:text>VALIDATE_BPMCONFIG_DEPLOYMENT_TARGET</xsl:text> 
                </xsl:with-param> 
              </xsl:call-template>  
              <xsl:value-of select="@name"/> 
            </legend>  
            <xsl:for-each select="ns:components"> 
              <fieldset> 
                <legend> 
                  <xsl:call-template name="getPIIValue"> 
                    <xsl:with-param name="piiKey"> 
                      <xsl:text>VALIDATE_BPMCONFIG_COMPONENT</xsl:text> 
                    </xsl:with-param> 
                  </xsl:call-template>  
                  <xsl:value-of select="@name"/> 
                </legend>  
                <div class="divDescription"> 
                  <xsl:call-template name="getPIIValue"> 
                    <xsl:with-param name="piiKey"> 
                      <xsl:text>VALIDATE_BPMCONFIG_DESCRIPTION</xsl:text> 
                    </xsl:with-param> 
                  </xsl:call-template>  
                  <xsl:value-of select="@description"/> 
                </div>  
 
                <xsl:choose> 
                  <xsl:when test="count(ns:application) &gt; '0'"> 
                    <table class="reportTable"> 
                      <tr> 
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_APP_NAME</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_INSTALLED</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_STARTED</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th> 
                      </tr>  
                      <xsl:for-each select="ns:application"> 
                        <xsl:variable name="className" select="@name"/>  
                        <tr> 
                          <td> 
                            <span> 
                              <xsl:value-of select="@name"/> 
                            </span> 
                          </td>  
                          <xsl:choose> 
                            <xsl:when test="@installed = 'true'"> 
                              <td> 
                                <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@installed = 'false'"> 
                              <td> 
                                <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                              </td> 
                            </xsl:when> 
                          </xsl:choose>  
                          <xsl:choose> 
                            <xsl:when test="@status = 'Started'"> 
                              <td> 
                                <img src="css/images/running.gif" alt="{$piiStartedMessage}" title="{$piiStartedMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@status = 'Stopped'"> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/stop.gif" alt="{$piiStoppedMessage}" title="{$piiStoppedMessage}"/> 
                                </a> 
                              </td> 
                            </xsl:when>
                            <xsl:when test="@status = 'PartiallyStarted'"> 
                              <td> 
                                <img src="css/images/part_start.gif" alt="{$piiStartingMessage}" title="{$piiStartingMessage}"/>  
                              </td> 
                            </xsl:when> 
                            <xsl:when test="@status = 'PartiallyStopped'"> 
                              <td> 
                                <img src="css/images/part_stop.gif" alt="{$piiStoppingMessage}" title="{$piiStoppingMessage}"/>  
                              </td> 
                            </xsl:when>  
                            <xsl:otherwise> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/unknown.gif" alt="{$piiUnknownMessage}" title="{$piiUnknownMessage}"/> 
                                </a> 
                              </td> 
                            </xsl:otherwise> 
                          </xsl:choose> 
                        </tr>  
                        <xsl:choose> 
                          <xsl:when test="@status = 'Unknown' or @status = 'Stopped'"> 
                            <tr style="display:none" id="{$className}" class="explanationTr"> 
                              <td colspan="3"> 
                                <div class="explanationDiv"> 
                                  <img alt="{$piiErrorMessage}" align="baseline" height="16" width="16" src="css/images/error.gif" title="{$piiErrorMessage}"/>  
                                  <span class="boldText"> 
                                    <xsl:copy-of select="$piiExplanation"/> 
                                  </span>  
                                  <span class="validation-error"> 
                                    <xsl:value-of select="ns:problem/ns:explanation/text()"/> 
                                  </span> 
                                </div>  
                                <div class="userActionDiv"> 
                                  <span class="boldText"> 
                                    <xsl:copy-of select="$piiUserAction"/> 
                                  </span>  
                                  <span class="validation-error"> 
                                    <xsl:value-of select="ns:problem/ns:userAction/text()"/> 
                                  </span> 
                                </div> 
                              </td> 
                            </tr> 
                          </xsl:when> 
                        </xsl:choose> 
                      </xsl:for-each> 
                    </table> 
                  </xsl:when> 
                </xsl:choose>  
                <xsl:choose> 
                  <xsl:when test="count(ns:database) &gt; '0'"> 
                    <table class="reportTable"> 
                      <tr> 
                        <th class="column-head-name"> 
                          <xsl:copy-of select="$piiDataSourceNameMessage"/>
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:copy-of select="$piiJNDINameMessage"/>
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_DB_NAME</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_DB_SCHEMA</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_DB_CREATED</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_DB_CONNECTED</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th> 
                      </tr>  
                      <xsl:for-each select="ns:database"> 
                        <xsl:variable name="className" select="@dataSourceName"/>  
                        <tr> 
                          <td> 
                            <span> 
                              <xsl:value-of select="@dataSourceName"/> 
                            </span> 
                          </td>  
                          <td> 
                            <span> 
                              <xsl:value-of select="@jndiName"/> 
                            </span> 
                          </td>  
                          <td> 
                            <span> 
                              <xsl:value-of select="@name"/> 
                            </span> 
                          </td>  
                          <td> 
                            <span> 
                              <xsl:value-of select="@schema"/> 
                            </span> 
                          </td>  
                          <xsl:choose> 
                            <xsl:when test="@created = 'true'"> 
                              <td> 
                                <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@created = 'false'"> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                                </a> 
                              </td> 
                            </xsl:when> 
                          </xsl:choose>  
                          <xsl:choose> 
                            <xsl:when test="@connected = 'true'"> 
                              <td> 
                                <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@connected = 'false'"> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                                </a> 
                              </td> 
                            </xsl:when> 
                          </xsl:choose> 
                        </tr>  
                        <xsl:choose> 
                          <xsl:when test="@connected = 'false' or @created = 'false'"> 
                            <tr style="display:none" id="{$className}" class="explanationTr"> 
                              <td colspan="6"> 
                                <div class="explanationDiv"> 
                                  <img alt="{$piiErrorMessage}" align="baseline" height="16" width="16" src="css/images/error.gif" title="{$piiErrorMessage}"/>  
                                  <span class="boldText"> 
                                    <xsl:copy-of select="$piiExplanation"/> 
                                  </span>  
                                  <span class="validation-error"> 
                                    <xsl:value-of select="ns:problem/ns:explanation/text()"/> 
                                  </span> 
                                </div>  
                                <div class="userActionDiv"> 
                                  <span class="boldText"> 
                                    <xsl:copy-of select="$piiUserAction"/> 
                                  </span>  
                                  <span class="validation-error"> 
                                    <xsl:value-of select="ns:problem/ns:userAction/text()"/> 
                                  </span> 
                                </div> 
                              </td> 
                            </tr> 
                          </xsl:when> 
                        </xsl:choose> 
                      </xsl:for-each> 
                    </table> 
                  </xsl:when> 
                </xsl:choose>  
                <xsl:choose> 
                  <xsl:when test="count(ns:messagingEngine) &gt; '0'"> 
                    <table class="reportTable"> 
                      <tr> 
                        <th class="column-head-name">
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_ME_NAME</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template>
                        </th>  
                        <th class="column-head-name">
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_ME_BUSNAME</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template>
                        </th>  
                        <th class="column-head-name">
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_ME_STATUS</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template>
                        </th> 
                      </tr>  
                      <xsl:for-each select="ns:messagingEngine"> 
                        <xsl:variable name="className" select="@name"/>  
                        <tr> 
                          <td> 
                            <span> 
                              <xsl:value-of select="@name"/> 
                            </span> 
                          </td>  
                          <td> 
                            <span> 
                              <xsl:value-of select="@busName"/> 
                            </span> 
                          </td>  
                          <xsl:choose> 
                            <xsl:when test="@status = 'Started'"> 
                              <td> 
                                <img src="css/images/running.gif" alt="{$piiStartedMessage}" title="{$piiStartedMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@status = 'Stopped'"> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/stop.gif" alt="{$piiStoppedMessage}" title="{$piiStoppedMessage}"/>
                                </a> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@status = 'Starting'"> 
                              <td> 
                                <img src="css/images/part_start.gif" alt="{$piiStartingMessage}" title="{$piiStartingMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@status = 'Stopping'"> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/part_stop.gif" alt="{$piiStoppingMessage}" title="{$piiStoppingMessage}"/>
                                </a> 
                              </td> 
                            </xsl:when>  
                            <xsl:otherwise> 
                              <td> 
                                <a href="javascript: ;" onclick="showDetailInfo('{$className}')">
                                  <img src="css/images/unknown.gif" alt="{$piiUnknownMessage}" title="{$piiUnknownMessage}"/> 
                                </a> 
                              </td> 
                            </xsl:otherwise> 
                          </xsl:choose> 
                        </tr>  
                        <xsl:choose> 
                          <xsl:when test="@status = 'Unknown' or @status = 'Stopped'"> 
                            <tr style="display:none" id="{$className}" class="explanationTr"> 
                              <td colspan="3"> 
                                <div class="explanationDiv"> 
                                  <img alt="{$piiErrorMessage}" align="baseline" height="16" width="16" src="css/images/error.gif" title="{$piiErrorMessage}"/>  
                                  <span class="boldText"> 
                                    <xsl:copy-of select="$piiExplanation"/> 
                                  </span>  
                                  <span class="validation-error"> 
                                    <xsl:value-of select="ns:problem/ns:explanation/text()"/> 
                                  </span> 
                                </div>  
                                <div class="userActionDiv"> 
                                  <span class="boldText"> 
                                    <xsl:copy-of select="$piiUserAction"/> 
                                  </span>  
                                  <span class="validation-error"> 
                                    <xsl:value-of select="ns:problem/ns:userAction/text()"/> 
                                  </span> 
                                </div> 
                              </td> 
                            </tr> 
                          </xsl:when> 
                        </xsl:choose> 
                      </xsl:for-each> 
                    </table> 
                  </xsl:when> 
                </xsl:choose>  
                <xsl:choose> 
                  <xsl:when test="count(ns:healthCheck) &gt; '0'"> 
                    <table class="reportTable"> 
                      <tr> 
                        <th class="column-head-name">
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_HEALTHCHECK</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template>
                        </th>  
                        <th class="column-head-name">
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_HEALTHCHECK_DETAILS</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template>
                        </th> 
                      </tr>  
                      <xsl:for-each select="ns:healthCheck"> 
                        <tr> 
                          <td> 
                            <span> 
                              <xsl:value-of select="ns:overallHealth/text()"/> 
                            </span> 
                          </td>  
                          <td> 
                            <span>
                              <xsl:for-each select="ns:result">
                                <xsl:value-of select="text()"/><br/> 
                              </xsl:for-each>
                            </span> 
                          </td> 
                        </tr> 
                      </xsl:for-each> 
                    </table> 
                  </xsl:when> 
                </xsl:choose> 
              </fieldset> 
            </xsl:for-each> 
          </fieldset> 
        </xsl:for-each>  
        <xsl:choose> 
          <xsl:when test="count(ns:security) &gt; '0'"> 
            <fieldset> 
              <legend> 
                <xsl:call-template name="getPIIValue"> 
                  <xsl:with-param name="piiKey"> 
                    <xsl:text>VALIDATE_BPMCONFIG_SECURITY</xsl:text> 
                  </xsl:with-param> 
                </xsl:call-template> 
              </legend>  
              <table class="reportTable"> 
                <tr> 
                  <th class="column-head-name"> 
                    <xsl:call-template name="getPIIValue"> 
                      <xsl:with-param name="piiKey"> 
                        <xsl:text>VALIDATE_BPMCONFIG_ALIAS_NAME</xsl:text> 
                      </xsl:with-param> 
                    </xsl:call-template> 
                  </th>  
                  <th class="column-head-name"> 
                    <xsl:call-template name="getPIIValue"> 
                      <xsl:with-param name="piiKey"> 
                        <xsl:text>VALIDATE_BPMCONFIG_CREATED</xsl:text> 
                      </xsl:with-param> 
                    </xsl:call-template> 
                  </th> 
                </tr>  
                <xsl:for-each select="ns:security/ns:authenticationAlias"> 
                  <tr> 
                    <td> 
                      <span> 
                        <xsl:value-of select="@aliasName"/> 
                      </span> 
                    </td>  
                    <xsl:choose> 
                      <xsl:when test="@created = 'true'"> 
                        <td> 
                          <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                        </td> 
                      </xsl:when>  
                      <xsl:when test="@created = 'false'"> 
                        <td> 
                          <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                        </td> 
                      </xsl:when> 
                    </xsl:choose> 
                  </tr> 
                </xsl:for-each> 
              </table> 
            </fieldset> 
          </xsl:when> 
        </xsl:choose>  
        <xsl:choose> 
          <xsl:when test="count(ns:bootstrap) &gt; '0'"> 
            <xsl:for-each select="ns:bootstrap"> 
              <fieldset> 
                <legend>
                  <xsl:call-template name="getPIIValue"> 
                    <xsl:with-param name="piiKey"> 
                      <xsl:text>VALIDATE_BPMCONFIG_BOOTSTRAP</xsl:text> 
                    </xsl:with-param> 
                  </xsl:call-template>
                </legend>  
                <xsl:choose> 
                  <xsl:when test="count(ns:problem) &gt; '0'"> 
                    <xsl:for-each select="ns:problem"> 
                      <div class="divDescription"> 
                        <xsl:choose> 
                          <xsl:when test="@type = 'error'"> 
                            <img alt="{$piiErrorMessage}" align="baseline" height="16" width="16" src="css/images/error.gif" title="{$piiErrorMessage}"/> 
                          </xsl:when>  
                          <xsl:when test="@type = 'warning'"> 
                            <img alt="{$piiWarningMessage}" align="baseline" height="16" width="16" src="css/images/warning.gif" title="{$piiWarningMessage}"/> 
                          </xsl:when> 
                        </xsl:choose>  
                        <span class="boldText"><xsl:copy-of select="$piiProblemDescription" /></span>  
                        <span class="validation-error"> 
                          <xsl:value-of select="ns:description/text()"/> 
                        </span> 
                      </div> 
                    </xsl:for-each> 
                  </xsl:when>  
                  <xsl:when test="count(ns:problem) = '0'"> 
                    <table class="reportTable"> 
                      <tr> 
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_BOOTSTRAP_NAME</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th>  
                        <th class="column-head-name"> 
                          <xsl:call-template name="getPIIValue"> 
                            <xsl:with-param name="piiKey"> 
                              <xsl:text>VALIDATE_BPMCONFIG_IMPORTED</xsl:text> 
                            </xsl:with-param> 
                          </xsl:call-template> 
                        </th> 
                      </tr>  
                      <xsl:for-each select="ns:processServerData"> 
                        <tr> 
                          <td> 
                            <span> 
                              <xsl:value-of select="@name"/> 
                            </span> 
                          </td>  
                          <xsl:choose> 
                            <xsl:when test="@imported = 'true'"> 
                              <td> 
                                <img src="css/images/success.gif" alt="{$piiSuccessMessage}" title="{$piiSuccessMessage}"/> 
                              </td> 
                            </xsl:when>  
                            <xsl:when test="@imported = 'false'"> 
                              <td> 
                                <img src="css/images/stop.gif" alt="{$piiFailureMessage}" title="{$piiFailureMessage}"/> 
                              </td> 
                            </xsl:when> 
                          </xsl:choose> 
                        </tr> 
                      </xsl:for-each> 
                    </table> 
                  </xsl:when> 
                </xsl:choose> 
              </fieldset> 
            </xsl:for-each> 
          </xsl:when> 
        </xsl:choose> 
      </xsl:for-each> 
    </xsl:element> 
  </xsl:template> 
</xsl:stylesheet>
