<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns="http://ibm.com/bpm/migration/schema">
	<xsl:import href="common.xsl" />

	<xsl:output method="html" encoding="utf-8"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />

	<xsl:template match="/">
		<xsl:element name="HTML">
			<xsl:attribute name="lang">
				<xsl:text>en</xsl:text>
			</xsl:attribute>
			<xsl:call-template name="head" />
			<xsl:call-template name="body" />
		</xsl:element>
	</xsl:template>

	<xsl:template name="head">
		<xsl:element name="HEAD">
			<xsl:call-template name="formTitle">
				<xsl:with-param name="titleText">
					<xsl:text>Warning Items</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="styleSheet" />
		</xsl:element>
	</xsl:template>

	<xsl:template name="styleSheet">
		<xsl:call-template name="includeStyleSheet">
			<xsl:with-param name="styleSheet">
				<xsl:text>../css/style.css</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="includeStyleSheet">
			<xsl:with-param name="styleSheet">
				<xsl:text>../css/table.css</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="body">
		<xsl:element name="BODY">
			<xsl:attribute name="role">
				<xsl:text>main</xsl:text>
			</xsl:attribute>
			<div class="title-bread-crumb">
				<xsl:value-of select="ns:warningItems/ns:title" />
			</div>
			<div class="description-bread-crumb">
				<xsl:value-of select="ns:warningItems/ns:description" />
			</div>
			<xsl:for-each select="ns:warningItems/ns:warningItem">
				<xsl:variable name="name" select="ns:name"></xsl:variable>
				<div class="sub-title-bread-crumb">
					<img src="../css/images/warning.gif" title="Warning" height="16"
						width="16" alt="Warning" border="0" class="menuHintIcon" align="top" />
					<xsl:value-of select="ns:name" />
				</div>
				<div
					style="width:auto;height:auto;border:1px solid #D4E0EE;font-family:Verdana, Helvetica, sans-serif;color:#555;font-size:12px;margin: 10px;">
					<div style="padding-left:3px;">
						<xsl:value-of select="ns:description[1]/ns:detail" />
					</div>
					<br />
					<div style="padding-left:3px;line-height:20px">
						<xsl:value-of select="ns:description[2]/ns:detail" />
					</div>
				</div>
			</xsl:for-each>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>