<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:ns="http://ibm.com/bpm/migration/schema">
	<xsl:import href="common.xsl" />

	<xsl:output method="html" encoding="utf-8"
		doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" />


	<xsl:template match="/">
		<xsl:element name="HTML">
			<xsl:attribute name="lang">
				<xsl:text>en</xsl:text>
			</xsl:attribute>
			<xsl:call-template name="head" />
			<xsl:call-template name="body" />
		</xsl:element>
	</xsl:template>

	<xsl:template name="head">
		<xsl:element name="HEAD">
			<xsl:call-template name="formTitle">
				<xsl:with-param name="titleText">
					<xsl:text>Welcome Page</xsl:text>
				</xsl:with-param>
			</xsl:call-template>
			<xsl:call-template name="styleSheet" />
		</xsl:element>
	</xsl:template>

	<xsl:template name="styleSheet">
		<xsl:call-template name="includeStyleSheet">
			<xsl:with-param name="styleSheet">
				<xsl:text>css/style.css</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
		<xsl:call-template name="includeStyleSheet">
			<xsl:with-param name="styleSheet">
				<xsl:text>css/table.css</xsl:text>
			</xsl:with-param>
		</xsl:call-template>
	</xsl:template>

	<xsl:template name="body">
		<xsl:element name="BODY">
			<xsl:attribute name="role">
				<xsl:text>main</xsl:text>
			</xsl:attribute>		
			<div class="description-bread-crumb" align="center">
				<h2>
					<xsl:value-of select="ns:welcomePageType/ns:header" />
				</h2>
			</div>
			<div class="description-bread-crumb">
				<xsl:value-of select="ns:welcomePageType/ns:description" />
			</div>
			<div class="description-bread-crumb">
			<ul>
			<xsl:for-each select="ns:welcomePageType/ns:introduction">
			    <p>	
					<li>
			   		<xsl:if test="position() = 1"><img src="css/images/error.gif" title="Error" height="14" width="14" alt="Error" border="0" class="menuHintIcon"/></xsl:if>
			   		<xsl:if test="position() = 2"><img src="css/images/warning.gif" title="Warning" height="14" width="14" alt="Warning" border="0" class="menuHintIcon"/></xsl:if>
			   		<xsl:if test="position() = 3"><img src="css/images/success.gif" title="Success" height="14" width="14" alt="Success" border="0" class="menuHintIcon"/></xsl:if>
			   		<span style="padding-left:3px;"/><xsl:value-of select="ns:note" />
			   		<xsl:if test="ns:scenarios/ns:item != '' "><br/></xsl:if>
					<ul>
						<xsl:for-each select="ns:scenarios/ns:item">
							<xsl:if test="position() = 1"><br/></xsl:if>
							<li>
								<xsl:value-of select="." />
							</li>
						</xsl:for-each>
					</ul>
					</li>
				</p>
			</xsl:for-each>
			</ul>
			</div>
		</xsl:element>
	</xsl:template>
</xsl:stylesheet>